﻿;==========================================================================================================================
; Link an icon for the shortcut menu
;==========================================================================================================================

Procedure GetIconForShortCut()
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  IconFileName.s = OpenFileRequester("Choose an icon", GetCurrentDirectory(), "Icon file (*.ico)|*.ico|", 0)
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  If IconFileName.s <> ""
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    If GetExtensionPart(IconFileName.s) = "ico"
      
      ;--------------------------------------------------------------------------------------------
      ;
      ;--------------------------------------------------------------------------------------------
      
      LocalIconFileName.s = GetGadgetText(#Gadget_shortcutedit_keyboardvariable)
      
      ;--------------------------------------------------------------------------------------------
      ;
      ;--------------------------------------------------------------------------------------------
      
      If LocalIconFileName.s <> ""
        
        ;------------------------------------------------------------------------------------------
        ;
        ;------------------------------------------------------------------------------------------
        
        LocalIconFileName.s = RemoveString(LocalIconFileName.s, " ", #PB_String_NoCase, 1)

        ;------------------------------------------------------------------------------------------
        ;
        ;------------------------------------------------------------------------------------------
        
        LocalIconFileName.s + ".ico"
        
        ;------------------------------------------------------------------------------------------
        ;
        ;------------------------------------------------------------------------------------------
        
        If CopyFile(IconFileName.s, Program\IconDirectory + LocalIconFileName.s)
          
          ;----------------------------------------------------------------------------------------
          ;
          ;----------------------------------------------------------------------------------------
          
          SetGadgetText(#Gadget_shortcutedit_menubaricon,  LocalIconFileName.s)
          
          ;----------------------------------------------------------------------------------------
          ;
          ;----------------------------------------------------------------------------------------
          
          NewButtonImage.i = LoadImage(#PB_Any, Program\IconDirectory + LocalIconFileName.s)
          
          ;----------------------------------------------------------------------------------------
          ;
          ;----------------------------------------------------------------------------------------
          
          If NewButtonImage.i
            
            SetGadgetAttribute(#Gadget_ShortCutEdit_geticon, #PB_Button_Image, ImageID(NewButtonImage.i))
            
          Else
            
            SetGadgetText(#Gadget_ShortCutter_messages, "Could not get the new icon handle.")
            
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ;
          ;----------------------------------------------------------------------------------------
          
        Else
          
          SetGadgetText(#Gadget_ShortCutter_messages, "Could not copy the icon to the images directory.")
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ;
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetGadgetText(#Gadget_ShortCutter_messages, "No local filename can be generated from the empty variable field.")
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ;
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetGadgetText(#Gadget_ShortCutter_messages, "Not an icon file, don't proceed.")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetGadgetText(#Gadget_ShortCutter_messages, "User cancelled the file open operation.")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure      

; IDE Options = PureBasic 5.11 (Windows - x86)
; CursorPosition = 116
; Folding = -
; EnableXP