
;==========================================================================================================================
; Keyboard shortcuts program procedural declaration
;==========================================================================================================================

DECLARE OpenSystemDatabase()                                                                  ; 
DECLARE LoadkeyboardShortCuts()                                                               ; 
DECLARE CreateMainMenu()                                                                      ; 
DECLARE MakeSureDirectoryPathExists(Directory.s)                                              ; 
DECLARE MyBalloonToolTips(btWindow.i, btGadget.i, btText.s)                                   ; 
DECLARE SelectWindowToolTips(Window.i)                                                        ; 

;==========================================================================================================================
; Files menu procedure declarations
;==========================================================================================================================

DECLARE OpenDatabase()                                                                        ; 
DECLARE ReloadMaster()                                                                        ; 
DECLARE DumpTables()                                                                          ; 
DECLARE UndumpTables()                                                                        ; 
DECLARE VacuumTables()                                                                        ; 
DECLARE ExitProgram()                                                                         ; 

;==========================================================================================================================
; Category menu procedure declarations
;==========================================================================================================================

DECLARE AddCategory()                                                                         ; 
DECLARE CopyCategory()                                                                        ; 
DECLARE DeleteCategory()                                                                      ; 
DECLARE EditCategory()                                                                        ; 

;==========================================================================================================================
; Data menu procedure declarations
;==========================================================================================================================

DECLARE AddPerson()                                                                           ; 
DECLARE CopyPerson()                                                                          ; 
DECLARE DeletePerson()                                                                        ; 
DECLARE EditPerson()                                                                          ; 
DECLARE PrintPerson()                                                                         ; 
DECLARE PrintPerson()                                                                         ; 
DECLARE TagPeople()                                                                           ; 

;==========================================================================================================================
; Utility menu procedure declarations
;==========================================================================================================================

DECLARE BackupDatabase()                                                                      ; 
DECLARE ExportAddresses()                                                                     ; 
DECLARE ImportAddresses()                                                                     ; 
DECLARE UpdatePostcodes()                                                                     ; 

;==========================================================================================================================
; Setup menu procedure declarations
;==========================================================================================================================

DECLARE ShowData()                                                                            ; 
DECLARE ShowClock()                                                                           ; 
DECLARE ShowTooltips()                                                                        ; 
DECLARE MailSetup()                                                                           ; 

;==========================================================================================================================
; Help menu procedure declarations
;==========================================================================================================================

DECLARE AboutProgram()                                                                        ; 
DECLARE ShowHelp()                                                                            ; 
DECLARE KeyboardShortcuts()                                                                   ; 
